Updated to 1.2.2. and it doesn't run anymore

hi!

after installing 1.2.2 (gem update --system)
changing the version in environment.rb and
doing rake rails:update , I get this, when trying to start the sever:

ruby script/server --binding localhost
=> Booting WEBrick…
d:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_support/dependenci
es.rb:266:in load_missing_constant': uninitialized constant ActionMailer (NameE rror) from d:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_suppo rt/dependencies.rb:452:inconst_missing’
from
d:/ruby/lib/ruby/gems/1.8/gems/activesupport-1.4.1/lib/active_suppo
rt/dependencies.rb:464:in const_missing' from ./script/../config/../config/environment.rb:20 from d:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:41:inrun’
from ./script/…/config/…/config/environment.rb:13
from
d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `re
quire’

Any ideas?

thank you

On 10-Mar-07, at 2:08 PM, D. Krmpotic wrote:

active_support/dependenci
from
d:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:41:in
run' from ./script/../config/../config/environment.rb:13 from d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inre
quire’

Any ideas?

thank you

try this ref:

http://groups.google.com/group/rubyonrails-talk/browse_thread/thread/
f5709dd73639a23c/3862585f75a2cb22?lnk=gst&q=1.2.2
+actionmailer&rnum=5#3862585f75a2cb22

Jodi

Thank you. You shown me where the problem lies, but I still cannot make
it work…
When I comment out all the lines for ActionMailer settings, the app
runs.
But when I change

ActionMailer::Base.server_settings = {

to

config.action_mailer.server_settings.server_settings = {

I get:

d:\Rails\ThoughtBag>ruby script/server --binding localhost
=> Booting WEBrick…
./script/…/config/…/config/environment.rb:23: undefined method
server_setting s=' for nil:NilClass (NoMethodError) from d:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:41:inrun’

Now that I know the problem is in action mailer, I found a few other
things on the net, one suggestion is to use:

ActionMailer::Base.delivery_method = :smtp
ActionMailer::Base.smtp_settings = {
:address => “smtp.mymailserver.com”,
:authentication => :login,
:user_name => “me”,
:password => “password”
}

This doesn’t help either (fails with the same error about ActionMailer
being an unitialized constant)

hmm… thank you for the help!

david

Jodi S. wrote:

On 10-Mar-07, at 2:08 PM, D. Krmpotic wrote:

active_support/dependenci
from
d:/ruby/lib/ruby/gems/1.8/gems/rails-1.2.2/lib/initializer.rb:41:in
run' from ./script/../config/../config/environment.rb:13 from d:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:inre
quire’

Any ideas?

thank you

try this ref:

http://groups.google.com/group/rubyonrails-talk/browse_thread/thread/
f5709dd73639a23c/3862585f75a2cb22?lnk=gst&q=1.2.2
+actionmailer&rnum=5#3862585f75a2cb22

Jodi

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs